%global commit		682ab865e174ce289b7dda5514abfdf21037a2db
%global commitdate	20161204
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%define	rel		0

%global bashcompdir 	%(pkg-config --variable=completionsdir bash-completion)
%if "%{bashcompdir}" == ""
%define bashcompdir	"/etc/bash_completion.d"
%endif

Name:		the_silver_searcher
Version:	1.0.2
Release:	%mkrel %rel%{?commitdate:.%{commitdate}}
Summary:	Super-fast text searching tool (ag)
Group:		Text tools
License:	ASL 2.0 and BSD
URL:		https://github.com/ggreer/the_silver_searcher
Source:		https://github.com/ggreer/the_silver_searcher/archive/%{commit}/%{version}-%{shortcommit}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	clang
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig(bash-completion)
#BuildRequires:	python2-cram
BuildRequires:	xz-devel
BuildRequires:	zlib-devel

%description
The Silver Searcher is a code searching tool similar to ack,
with a focus on speed.

An attempt to make something better than ack (which itself is better
than grep).

Why use Ag?

- It searches code about 3-5x faster than ack.

- It ignores file patterns from your .gitignore and .hgignore.

- If there are files in your source repository you don't want to
  search,just add their patterns to a .ignore file.

* The command name is 33% shorter than ack, and all keys are on the
  home row!

How is it so fast?

- Ag uses Pthreads to take advantage of multiple CPU cores and search
  files in parallel.

- Files are mmap()ed instead of read into a buffer.

- Literal string searching uses Boyer-Moore-Horspool strstr.

- Regex searching uses PCRE's JIT compiler (if Ag is built with
  PCRE >=8.21).

- Ag calls pcre_study() before executing the regex on every file.

- Instead of calling fnmatch() on every pattern in your ignore files,
  non-regex patterns are loaded into an array and binary searched.


%prep
%setup -q -n %{name}-%{commit}

%build
aclocal
autoconf
autoheader
automake --add-missing
%configure2_5x --disable-silent-rules
%make_build
#make test

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{bashcompdir}
install -pm 0644 ag.bashcomp.sh %{buildroot}%{bashcompdir}/ag
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%(dirname %{bashcompdir})
%{_datadir}/zsh/site-functions/_the_silver_searcher
%doc README.md LICENSE


%changelog
* Sun Jan 01 2017 shlomif <shlomif> 1.0.2-0.20161204.mga6
+ Revision: 1079423
- New version 1.0.2.

  + ghibo <ghibo>
    - Added Patch0 for building with make test enabled and archive stripped of git metadata.
    - update to release 0.33.0 + git up to 2016-10-09
    - use %%make_build
    - more verbose %%description.

* Mon Aug 15 2016 shlomif <shlomif> 0.32.0-1.mga6
+ Revision: 1046488
- New version 0.32.0

* Mon Apr 11 2016 shlomif <shlomif> 0.31.0-1.mga6
+ Revision: 1000217
- Importing based on the Fedora RawHide package - thanks

